Subject: Re: [PATCH 3/6] irqchip/gic-v3-its: Add fsl_mc device plumbing to the msi-parent handling

From: Marc Zyngier <[email-masked]>
Date: Mon, 23 Feb 2026 13:22:05 +0000

On Mon, 23 Feb 2026 13:02:50 +0000,
Thomas Gleixner <[email-masked]> wrote:
> 
> On Mon, Feb 23 2026 at 09:01, Marc Zyngier wrote:
> > On Sun, 22 Feb 2026 22:57:44 +0000,
> > Thomas Gleixner <[email-masked]> wrote:
> >> This rejects as you are building against an unmerged change (I assume
> >> it's Lorenzos GIC5 stuff). I can fix it up when applying.
> >
> > That was against vanilla 6.19. I'll rebase on -rc1 to satisfy myself
> > that this is still doing the right thing after the ACPI crap fest, and
> > repost the result.
> 
> Ah. The other way round :)
> 
> My resolution is simple and it looks about right. Please note the
> cosmetic changes I did on the way :)

Yup, looks good to me. And yes, moving the include up is the right
thing to do.

I have another small change in my current stack that also drops
DOMAIN_BUS_FSL_MC_MSI from include/linux/irqdomain_defs.h. Could be
folded into patch #5.

Thanks,

	M.

-- 
Without deviation from the norm, progress is not possible.